> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/products/list-product-attribute-groups.md).

# List Product Attribute Groups

## List Attribute Groups

> \*\*Rate limit:\*\* 300 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"AttributeGroupSchema":{"properties":{"attributes":{"items":{"$ref":"#/components/schemas/AttributeSchema"},"title":"Attributes","type":"array"},"id":{"description":"ID (integer) of this property","minimum":1,"title":"Id","type":"integer"},"name":{"description":"Name of the attribute group","maxLength":255,"minLength":1,"title":"Name","type":"string"},"frontend_name":{"description":"Name of the attribute group for display purposes","maxLength":255,"minLength":1,"title":"Frontend Name","type":"string"},"is_multiselect":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Whether the group allows multiple attributes to be selected","title":"Is Multiselect"}},"required":["attributes","id","name","frontend_name"],"title":"AttributeGroupSchema","type":"object"},"AttributeSchema":{"properties":{"id":{"description":"ID (integer) of this property","minimum":1,"title":"Id","type":"integer"},"name":{"description":"Name of the attribute","maxLength":255,"minLength":1,"title":"Name","type":"string"},"frontend_name":{"description":"Name of the attribute for display purposes","maxLength":255,"minLength":1,"title":"Frontend Name","type":"string"},"is_default":{"default":false,"description":"True if this attribute is one of the suggested defaults for its attribute group within the current category. Currently only populated for the material_group_name group in the material composition flow. Omitted from the response when False — absence of the field means False.","title":"Is Default","type":"boolean"}},"required":["id","name","frontend_name"],"title":"AttributeSchema","type":"object"}}},"paths":{"/api/v1/categories/{category_id}/attribute-groups":{"get":{"operationId":"scapi_app_endpoints_category_api_list_attribute_groups","summary":"List Attribute Groups","parameters":[{"in":"path","name":"category_id","schema":{"title":"Category Id","type":"integer"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/AttributeGroupSchema"},"title":"Response","type":"array"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 300 requests per minute","tags":["Categories"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/products/list-product-attribute-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
